#include "motor.hpp"
#include "../osHandles.h"

void motor(void* p)
{
	OSHANDLES *osHandles = (OSHANDLES*) p;

	//selected pin 8 for pwm 4
	PINSEL0 &= ~(3<<16);//clear bits 16 and 17
	PINSEL0 |= (2<<16);//set bits 16 and 17 to 10

	//set direction as output
	IODIR0 |= (1 << 8); //set pin direction for pin 8 as output

	VPBDIV = 0x00000000; //Set up pclk to 15MHz

	//now set pwm control
	PWMPR = 0; // Set Pre Scale to 0
	PWMPCR = 0; // PWM control register disable and deselect all bits channels single edge controlled pwm4
	PWMPCR |=(1<<12);//set pw4 output enable

	//set match registers
	PWMMR0 = 0x00000340; // Max Value of Pulse Width 15mhz/340h=19kHz


	/********************************
	 * SPEED REGULATION
	 below is the value to change to increase the time the signal is high
	 convert hex value to decimal out of 256
	 time high 20h = 32 out of 256
	 *******************************/
	PWMMR4 = 0x00000080; // PWM4 Match Value //this is the value to change

	PWMMCR = 0x00000002; // Reset PWMMTC when Matched with PWMMR0
	PWMLER = 0x7F; // Latch in all PWMMMR's
	PWMTCR = 0x02; // Reset PWMMTC, (bit1)
	PWMTCR = 0x09; // Counter Enable, PWM Mode Enabled(bit0, bit3)


	//motor control
	PINSEL0 &= ~(3<<18);//clear bits 18 and 19
	PINSEL0 &= ~(3<<20);//clear bits 20 and 21
	IODIR0 |= (1 << 9); //set pin direction for pin 9 as output
	IODIR0 |= (1 << 10); //set pin direction for pin 10 as output

	IOSET0 = (1<<9);//high
	//IOCLR0 = (1<<10);//low

	for (;;)
	{
	}
}
