#include "ssp_spi.h"
#include "../System/lpc214x.h"



void initialize_SSPSPI()
{
	// TODO 1.  Write your SSP Initialization here
	PINSEL1 &= ~(3<<2); //bit 3 and 2 = 0
	PINSEL1 &= ~(3<<4); //bit 4 and 5 = 0
	PINSEL1 &= ~(3<<6); //bit 6 and 7 = 0

	PINSEL1 |= (2<<2);  //bit 3 and 2 = 10
	PINSEL1 |= (2<<4);	//bit 4 and 5 = 10
	PINSEL1 |= (2<<6);	//bit 6 and 7 = 10

	//pg 189/348 datasheet
	//using SSPCR0

	SSPCR0 = (7<<0); //select 8-bit format
	SSPCR1 = (1<<1); //enable SSP

	setSSPSPI_Divider(4);

}

char rxTxByteSSPSPI(char data)
{
	// TODO 2.  Write your SSP Exchange Byte Function here
	SSPDR = data; //ssp data register

	while(SSPSR & (1<<4))
	{
	}

	return SSPDR;
}

void setSSPSPI_Divider(unsigned int divider)
{
	// TODO 3.  Write SSP Divider setting function here
	SSPCPSR = divider;
}
