#include "../System/lpc214x.h"
#include "../System/sysConfig.h"	// Need PCLK to setup I2C Rate.

#include "../FreeRTOS/FreeRTOS.h"
#include "../FreeRTOS/Semphr.h"
#include "../FreeRTOS/task.h"     // runTimeStats() functions

#include "motor.h"

void initialize_motor()
{
	//motor control
	PINSEL0 &= ~(3<<18);//clear bits 18 and 19
	IODIR0 |= (1 << 9); //set pin direction for pin 9 as output
	set_motor_direction(FORWARD);
}

void set_motor_direction(direction dir)
{
	if(dir == FORWARD)
	{
		IOSET0 = (1<<9);
	}
	else
	{
		IOCLR0 = (1<<9);
	}
}

