#include "pwm.h"
#include "../System/lpc214x.h"
#include "../System/sysConfig.h"	// Need PCLK to setup I2C Rate.
#include "../FreeRTOS/FreeRTOS.h"
#include "../FreeRTOS/Semphr.h"
#include "../FreeRTOS/task.h"     // runTimeStats() functions

#define PWM2latch 0x4
#define PWM4latch 0x16
#define CounterEnable PWMTCR = (1<<0)
#define CounterReset PWMTCR = (1<<1)
#define PWM4Enable (1<<3)
#define selPWM2 PINSEL0 |= (2<<14)
#define selPWM4 PINSEL0 |= (2<<16)
#define PWMLatchEnable PWMLER = 0x7F;// Latch in all PWMMMR's
void initialize_PWM()
{
	PINSEL0 &= ~(3<<16); //clear pwm4
	selPWM4;
	//set direction as output
	IODIR0 |= (1 << 8); //set pin direction for pin 8 as output
	//VPBDIV = 0x00000000; //Set up pclk to 15MHz
	PWMPR = 0; // Set Pre Scale to 0
	PWMPCR = 0; //disable
	PWMPCR |= (1<<12); //choose single edge for pwm 4 and enable

	//set match registers
		PWMMR0 = 0x00000540; // Max Value of Pulse Width 15mhz/340h=19kHz
		PWMMR4 = 0x00000200; // PWM4 Match Value //this is the value to change
		PWMMCR = 0x00000002; // Reset PWMMTC when Matched with PWMMR0
		PWMLatchEnable

	CounterReset;
	CounterEnable + PWM4Enable;
}

void changeSpeed(speed s)
{
	switch(s){
	case NORMAL:
		PWMMR4 = 0x00000170; // PWM4 Match Value //this is the value to change
		PWMLatchEnable
		break;
	case SLOW:
		PWMMR4 = 0x00000200;
		PWMLatchEnable
		break;
	case FAST:
		PWMMR4 = 0x00000120;
		PWMLatchEnable
		break;
	case STOP:
		PWMMR4 = 0x00000540;
		PWMLatchEnable
		break;
	case MAX:
		PWMMR4 = 0x00000080;
		PWMLatchEnable
		break;
	default:
		break;
	}
}






